%global version_suffix 1
Summary:        OpenSource Virtual Pipe Organ Software
Name:           grandorgue
Version:        3.14.2
Release:        1%{?dist}
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Sound/Midi
URL:            https://github.com/GrandOrgue/grandorgue
Source:         https://github.com/GrandOrgue/grandorgue/archive/%{version}-%{version_suffix}.tar.gz
Patch0:         https://github.com/GrandOrgue/grandorgue/compare/master...larspalo:grandorgue:alterBasMelCoupler.patch
BuildRequires: pkgconfig(alsa), gcc-c++, jack-audio-connection-kit-devel, cmake, wxGTK-devel, pkgconfig(fftw3f), pkgconfig(libudev), pkgconfig(wavpack), pkgconfig(zlib), pkgconfig(libcurl), libxslt, zip, po4a, pkgconfig(yaml-cpp-static), pkgconfig(rtaudio), pkgconfig(rtmidi), pkgconfig(portaudio-2.0), zita-convolver-devel, ImageMagick, desktop-file-utils, docbook-style-xsl
Requires:       %{name}-resources = %{version}-%{release}
Recommends:     %{name}-demo

%package demo
Summary:        GrandOrgue demo sampleset
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Sound/Midi
BuildArch:      noarch
Requires:       %{name}%{?_isa} = %{version}-%{release}

%package resources
Summary:        GrandOrgue resource files
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Sound/Midi
BuildArch:      noarch

%description
GrandOrgue is a virtual pipe organ sample player application supporting
a HW1 compatible file format.

%description demo
This package contains the demo sampleset for GrandOrgue.

%description resources
This package contains the various resource files for GrandOrgue.

%prep
%setup -qn %{name}-%{version}-%{version_suffix}
%patch0 -p1

%build
export CXXFLAGS="%{optflags} -Wl,--as-needed"
%cmake -DDOC_INSTALL_DIR=%{_docdir} -DLIBINSTDIR=%{_lib} -DUSE_INTERNAL_RTAUDIO=Off -DUSE_INTERNAL_PORTAUDIO=Off -DUSE_INTERNAL_ZITACONVOLVER=Off -DVERSION=%{version} -DBUILD_VERSION=%{version_suffix}
%cmake_build

%install
%cmake_install
%find_lang GrandOrgue
desktop-file-install --delete-original --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/GrandOrgue.desktop
mkdir -p %{buildroot}%{_docdir}/%{name}
install -pm 644 README.md %{buildroot}%{_docdir}/%{name}

%files
%{_bindir}/*
%{_libdir}/*
%license LICENSE
%doc %{_docdir}/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/metainfo/*
%{_datadir}/mime/packages/*
%{_datadir}/icons/hicolor/*

%files resources -f GrandOrgue.lang
%dir %{_datadir}/GrandOrgue/packages
%dir %{_datadir}/GrandOrgue
%license LICENSE
%{_datadir}/GrandOrgue/help
%{_datadir}/GrandOrgue/sounds
%{_datadir}/GrandOrgue/perftests

%files demo
%license LICENSE
%{_datadir}/GrandOrgue/packages/*.orgue

%changelog
* Mon Apr 29 2024 Kerkovits Krisztián <kerkovitskrisztian@gmail.com> - 3.14.2-1
- Update version
* Fri Apr 19 2024 Kerkovits Krisztián <kerkovitskrisztian@gmail.com> - 3.14.1-1
- Update version
* Sun Mar 30 2024 Kerkovits Krisztián <kerkovitskrisztian@gmail.com> - 3.14.0-1
- Update version
* Tue Nov 21 2023 Kerkovits Krisztián <kerkovitskrisztian@gmail.com> - 3.13.2-1
- Update version
* Mon Nov 6 2023 Kerkovits Krisztián <kerkovitskrisztian@gmail.com> - 3.13.1-1
- Update version
* Thu Oct 12 2023 Kerkovits Krisztián <kerkovitskrisztian@gmail.com> - 3.13.0-1
- Update version
* Mon Aug 21 2023 Kerkovits Krisztián <kerkovitskrisztian@gmail.com> - 3.12.3-1
- Update version
* Mon Jul 24 2023 Kerkovits Krisztián <kerkovitskrisztian@gmail.com> - 3.12.2-1
- Update version
* Tue Jun 6 2023 Kerkovits Krisztián <kerkovitskrisztian@gmail.com> - 3.12.1-1
- Update version
* Fri May 26 2023 Kerkovits Krisztián <kerkovitskrisztian@gmail.com> - 3.12.0-1
- Update version
* Wed May 10 2023 Kerkovits Krisztián <kerkovitskrisztian@gmail.com> - 3.11.2-1
- Update version
* Thu May 4 2023 Kerkovits Krisztián <kerkovitskrisztian@gmail.com> - 3.11.1-1
- Update version
* Mon Apr 17 2023 Kerkovits Krisztián <kerkovitskrisztian@gmail.com> - 3.11.0-1
- Update version
* Sun Feb 26 2023 Kerkovits Krisztián <kerkovitskrisztian@gmail.com> - 3.10.1-1
- Initial package
